Skip to main content
POST
/
v1
/
cards
/
batch-delete
Batch delete cards
curl --request POST \
  --url https://sandbox.apocor.ai/v1/cards/batch-delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "card_ids": [
    "card_abc123",
    "card_def456"
  ]
}
'
import requests

url = "https://sandbox.apocor.ai/v1/cards/batch-delete"

payload = { "card_ids": ["card_abc123", "card_def456"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({card_ids: ['card_abc123', 'card_def456']})
};

fetch('https://sandbox.apocor.ai/v1/cards/batch-delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "card_ids": [
      "card_abc123",
      "card_def456"
    ],
    "issuer": {
      "status": "PROCESSING"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer access token obtained from POST /v1/oauth/token using your Apocor API key.

Body

application/json
card_ids
string[]
required
Maximum array length: 100

Response

200 - application/json

Batch delete submitted.

data
object